Package: org.codehaus.groovy.runtime.callsite

## [Java] Class GroovySunClassLoader

- org.codehaus.groovy.runtime.callsite.GroovySunClassLoader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static SunClassLoader` | `sunVM` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SunClassLoader` | `knownClasses, sunVM`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected GroovySunClassLoader ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SunClassLoader` | `define, doesKnow, loadClass, loadFromRes, resName`
    `class ClassLoader` | `loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final SunClassLoader sunVM

  - ### Constructor Detail

    - #### protected GroovySunClassLoader()